<?php
/**
* FetchSeekResult Example
* 
* This example uses the FetchSeekResult[Assoc, Object, Row] functions to retrieve a query result.
* The method shown in this example uses FetchSeekResultRow but the other functions would be used in 
* the same way.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($rs = $db->Query("SELECT * FROM tablename"))
{
	// Get the result
	if($db->FetchSeekResultRow($rs, 3, $row))
		// Do something with the data in $row.
		print_r($row);
	}
	
	// Free Result
	$db->FreeResult($rs);
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>